#include <stdio.h>
#include <stdlib.h>

typedef struct {
  char ime[21];
  int ocene[9];
	      }UCENICI;

int main() {
  FILE* u;
  int bru, pom=0, i, j;
  double x=4.5, k=0;
  UCENICI a[1000]; 
  
  
  
  u=fopen("ucenici.txt", "r");
  if(u==NULL)
  {
    printf("-1\n");
    exit(EXIT_FAILURE);
  }
  
  fscanf(u, "%d", &bru);
  
  for(i=0;i<bru;i++)
  {
    fscanf(u, "%s", a[i].ime);
    for(j=0;j<9;j++)
      fscanf(u, "%d", &a[i].ocene[j]);
  }
  printf("NEDOVOLJNI: ");
  for(i=0;i<bru;i++){
    pom=0;
    for(j=0;j<9;j++)
    {
      if(a[i].ocene[j]==1)
      pom=1;
    }
    if(pom==1)
      printf("%s ", a[i].ime);
}
printf("\n");
printf("ODLICNI: ");

for(i=0;i<bru;i++){
    k=0;
    for(j=0;j<9;j++)
    {
      k+=a[i].ocene[j];
      
    }
    k/=9;
    if(k>=4.5)
      printf("%s ", a[i].ime);
}
printf("\n");

return 0;
}
